PrimebrickPrimebrick
  • Primebrick.dev
  • GitHub
  • Documentation
  • Services
  • Libraries
  • API Catalog
Resources
  • Landing Page
  • API Catalog
  • GitHub
PrimebrickPrimebrick

© 2026 Primebrick. MIT License.

github
Information
Customers
    Get customer UI metadatagetList customersgetCreate customerpostGet customer detailget
Organizations
    Get organization UI metadatagetList organizationsgetCreate organizationpostGet organization detailget
Authentication
    Login with username and passwordpostRefresh access token using refresh token cookiepostGet current user profilegetUpdate current user profilepatch
Schemas
powered by Zudoku
Primebrick API
Primebrick API

Organizations

Download schema

Organization entity CRUD and metadata endpoints


Get organization UI metadata

GET
/api/v1/entities/organization/meta

Get organization UI metadata › Responses

200

OK

EntityMetaResponse
entity
​string · required
titleKey
​string · required
uid
​string · required

List row unique identifier column key (e.g. uuid)

defaultView
​string · enum · required
Enum values:
table
cards
cards_list
​object · required
GET/api/v1/entities/organization/meta
fetch('/api/v1/entities/organization/meta')
Example Responses
{ "entity": "entity", "titleKey": "titleKey", "uid": "uid", "defaultView": "table", "list": { "searchPlaceholderKey": "searchPlaceholderKey", "defaultSort": { "key": "key", "dir": "asc" }, "columns": [ { "key": "key", "labelKey": "labelKey", "type": "type", "sortable": true, "searchable": true, "hideable": true, "defaultVisible": true, "filterable": true, "formDescription": "formDescription", "listDescription": "listDescription", "tooltip": "tooltip", "tooltipPriority": "INFORMATION", "tooltipTitle": "tooltipTitle", "showFormTooltip": true, "showListTooltip": true } ], "stickyColumns": [ { "key": "key", "labelKey": "labelKey", "type": "type" } ], "auditingColumns": [ { "key": "key", "labelKey": "labelKey", "type": "type" } ], "viewVisibility": { "table": { "visible": [ "string" ], "hidden": [ "string" ], "notDisplayable": [ "string" ], "notHideable": [ "string" ] }, "cards": { "visible": [ "string" ], "hidden": [ "string" ], "notDisplayable": [ "string" ], "notHideable": [ "string" ] }, "cards_list": { "visible": [ "string" ], "hidden": [ "string" ], "notDisplayable": [ "string" ], "notHideable": [ "string" ] } } } }
json
application/json

List organizations

GET
/api/v1/entities/organization/list

List organizations › query Parameters

search
​string
search_in
​string

CSV of fields to search in (e.g. idp_code,uuid,display_name)

sort_key
​string · enum
Enum values:
updated_at
uuid
idp_code
display_name
sort_dir
​string · enum
Enum values:
asc
desc
page
​integer · min: 1
page_size
​integer · min: 1 · max: 100
​object[]

Advanced filter conditions array

List organizations › Responses

200

OK

EntityListResponseOrganization
​OrganizationDetail[] · required
page
​integer · required
page_size
​integer · required
total
​integer · required
GET/api/v1/entities/organization/list
fetch('/api/v1/entities/organization/list')
Example Responses
{ "rows": [ { "uuid": "00000000-0000-0000-0000-000000000000", "idp_code": "idp_code", "display_name": "display_name", "website_url": "https://www.example.com/path/to/resource", "user_count": 0, "created_at": "2026-04-16T12:01:44.606Z", "created_by": "created_by", "created_by_name": "created_by_name", "updated_at": "2026-04-16T12:01:44.606Z", "updated_by": "updated_by", "updated_by_name": "updated_by_name", "last_synced_at": "2026-04-16T12:01:44.606Z", "version": 0, "deleted_at": "2026-04-16T12:01:44.606Z", "deleted_by": "deleted_by" } ], "page": 0, "page_size": 0, "total": 0 }
json
application/json

Create organization

POST
/api/v1/entities/organization

Create organization › Request Body

OrganizationCreateBody
idp_code
​string · maxLength: 255 · required
display_name
​string · maxLength: 255
website_url
​string · uri · maxLength: 2048

Create organization › Responses

Created

OrganizationCreateResponse
success
​boolean · required
​OrganizationDetail · required
POST/api/v1/entities/organization
fetch('/api/v1/entities/organization', { method: 'POST', headers: { 'Content-Type': 'application/json' }, body: JSON.stringify({ idp_code: 'idp_code', display_name: 'display_name', website_url: 'https://www.example.com/path/to/resource' }) })
Example Request Body
{ "idp_code": "idp_code", "display_name": "display_name", "website_url": "https://www.example.com/path/to/resource" }
json
Example Responses
{ "success": true, "organization": { "uuid": "00000000-0000-0000-0000-000000000000", "idp_code": "idp_code", "display_name": "display_name", "website_url": "https://www.example.com/path/to/resource", "user_count": 0, "created_at": "2026-04-16T12:01:44.606Z", "created_by": "created_by", "created_by_name": "created_by_name", "updated_at": "2026-04-16T12:01:44.606Z", "updated_by": "updated_by", "updated_by_name": "updated_by_name", "last_synced_at": "2026-04-16T12:01:44.606Z", "version": 0, "deleted_at": "2026-04-16T12:01:44.606Z", "deleted_by": "deleted_by" } }
json
application/json

Get organization detail

GET
/api/v1/entities/organization/{uuid}

Get organization detail › path Parameters

uuid
​string · uuid · required

Get organization detail › Responses

OK

OrganizationDetail
uuid
​string · uuid · required
idp_code
​string · maxLength: 255 · required
created_at
​string · date-time · required

DateTime (instant). Serialized as RFC3339 / ISO-8601 string with timezone (Z or +/-HH:MM).

Example: 2026-04-16T12:01:44.606Z
updated_at
​string · date-time · required

DateTime (instant). Serialized as RFC3339 / ISO-8601 string with timezone (Z or +/-HH:MM).

Example: 2026-04-16T12:01:44.606Z
version
​integer · required
display_name
​string · maxLength: 255
website_url
​string · uri · maxLength: 2048
user_count
​integer
created_by
​string
created_by_name
​string
updated_by
​string
updated_by_name
​string
last_synced_at
​string · date-time

DateTime (instant). Serialized as RFC3339 / ISO-8601 string with timezone (Z or +/-HH:MM).

Example: 2026-04-16T12:01:44.606Z
deleted_at
​string · date-time

DateTime (instant). Serialized as RFC3339 / ISO-8601 string with timezone (Z or +/-HH:MM).

Example: 2026-04-16T12:01:44.606Z
deleted_by
​string
GET/api/v1/entities/organization/{uuid}
fetch('/api/v1/entities/organization/:uuid')
Example Responses
{ "uuid": "00000000-0000-0000-0000-000000000000", "idp_code": "idp_code", "display_name": "display_name", "website_url": "https://www.example.com/path/to/resource", "user_count": 0, "created_at": "2026-04-16T12:01:44.606Z", "created_by": "created_by", "created_by_name": "created_by_name", "updated_at": "2026-04-16T12:01:44.606Z", "updated_by": "updated_by", "updated_by_name": "updated_by_name", "last_synced_at": "2026-04-16T12:01:44.606Z", "version": 0, "deleted_at": "2026-04-16T12:01:44.606Z", "deleted_by": "deleted_by" }
json
application/json

CustomersAuthentication